Guardline

    Update a person applicant

    Updates the latest version of a person applicant. Partial updates (PATCH semantics). Cannot update if applicant is COMPLETED (returns 409); use PUT to create a new version. Refer to applicant lifecycle in docs for more info.

    PATCH
    /people/{id}

    Path Parameters

    idstring
    Formatuuid

    Partial update payload

    schemaName?string

    (Optional) Schema to use to validate data that will be added to applicant

    applicantData?object

    Partial update; only sent fields are modified

    Empty Object

    Response Body

    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "status": "PENDING",
      "applicantData": {},
      "createdOn": "2019-08-24T14:15:22Z",
      "lastUpdatedOn": "2019-08-24T14:15:22Z"
    }
    Empty
    Empty
    Empty